All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::scheduler::statement_not_supported_exception Class Reference

Exception for the case the scheduler is unable to deal with the operation. More...

`#include <forwards.h>`

Inheritance diagram for viennacl::scheduler::statement_not_supported_exception:

## Public Member Functions

| statement_not_supported_exception ()
| statement_not_supported_exception (std::string message)
virtual const char * | what () const throw ()
virtual | ~statement_not_supported_exception () throw ()

## Detailed Description

Exception for the case the scheduler is unable to deal with the operation.

Definition at line 38 of file forwards.h.

## Constructor & Destructor Documentation

viennacl::scheduler::statement_not_supported_exception::statement_not_supported_exception | ( |  | ) |

inline

Definition at line 41 of file forwards.h.

viennacl::scheduler::statement_not_supported_exception::statement_not_supported_exception | ( | std::string | message | ) |

inline

Definition at line 42 of file forwards.h.

virtual viennacl::scheduler::statement_not_supported_exception::~statement_not_supported_exception | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 46 of file forwards.h.

## Member Function Documentation

virtual const char* viennacl::scheduler::statement_not_supported_exception::what | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Definition at line 44 of file forwards.h.

The documentation for this class was generated from the following file:

- viennacl/scheduler/forwards.h